Name: sugar-read-activity
Version: 117
Release: %mkrel 1
Summary: Read activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: http://sugarlabs.org/

Source: http://download.sugarlabs.org/sources/sucrose/fructose/Read/Read-%{version}.tar.bz2

Requires: python-beautifulsoup  
Requires: evince 
Requires: python-lxml  
Requires: sugar-toolkit-gtk3
Requires: python-gi

BuildRequires: gettext  
BuildRequires: evince-devel  
BuildRequires: sugar-toolkit-gtk3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildArch: noarch

%description
Read activity for Sugar

%prep
%setup -q -n Read-%{version}


%build
rm -f MANIFEST
python setup.py build

%install
python setup.py install --prefix=%{buildroot}/%{_prefix}
find %{buildroot} -name '*.py.orig' -print0 | xargs -0 rm -f
rm -rf %{buildroot}/%{_datadir}/sugar/activities/*/epubview/modules
%find_lang org.laptop.sugar.ReadActivity

%files -f org.laptop.sugar.ReadActivity.lang
%{_datadir}/sugar/activities/*
%doc AUTHORS COPYING





%changelog
* Mon Jan 18 2016 zezinho <zezinho> 117-1.mga6
+ Revision: 925339
- new version

* Wed Oct 15 2014 umeabot <umeabot> 113-3.mga5
+ Revision: 748011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 113-2.mga5
+ Revision: 689598
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 113-1.mga5
+ Revision: 627356
- new version

* Sat Nov 02 2013 fwang <fwang> 106-4.mga4
+ Revision: 549020
- fix requires

* Fri Oct 18 2013 umeabot <umeabot> 106-3.mga4
+ Revision: 519370
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 106-2.mga3
+ Revision: 383691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 106-1.mga3
+ Revision: 326130
- new version

* Wed Nov 21 2012 zezinho <zezinho> 99-1.mga3
+ Revision: 320237
- fix BR
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 92-1.mga2
+ Revision: 169542
- new version

  + ennael <ennael>
    - imported package sugar-read-activity


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 78-2mdv2011.0
+ Revision: 615037
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 78-1mdv2010.1
+ Revision: 531173
- Sucrose 0.88.0 release

* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 76-1mdv2010.0
+ Revision: 456980
- Push 76

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 75-1mdv2010.0
+ Revision: 449008
- Update to 75

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 74-1mdv2010.0
+ Revision: 444548
- Update to 74

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 70-3mdv2010.0
+ Revision: 415104
- Sucrose 0.85.2

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 65-2mdv2009.1
+ Revision: 364279
- SL#703 fix

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 65-1mdv2009.1
+ Revision: 348320
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 64-1mdv2009.1
+ Revision: 344236
- Sucrose 0.83.6 release

* Sun Feb 15 2009 Aleksey Lim <alsroot@mandriva.org> 63-2mdv2009.1
+ Revision: 340428
- SL#351 AttributeError: 'module' object has no attribute 'evince_embed_init'

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 63-1mdv2009.1
+ Revision: 332008
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 62-1mdv2009.1
+ Revision: 328410
- initial commit

